<?php
/**
 *
 * Antivirus Site Protection. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Siteguarding Ltd <https://www.siteguarding.com>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */
 
namespace siteguarding\antivirus\controller\acp;

class settings
{
	
	protected $u_action;
	
	protected $template;
	
	protected $sql_helper;
	
	public function __construct(\siteguarding\antivirus\core\sql_helper $sql_helper, \phpbb\template\template $template)
	{
		$this->sql_helper = $sql_helper;
		
		$this->template = $template;
	}
	
	public function update_settings($email, $key)
	{
		$this->sql_helper->set_extra_params(array('email' => $email, 'access_key' => $key));
	}
	
	public function set_page_url($u_action)
	{
		$this->u_action = $u_action;
	}
	
	public function settings_page()
	{
		$flag = false;
		
		$data = $this->sql_helper->get_extra_params(array('registered','access_key','email'));
		
		if(count($data) == 0 || $data['registered'] == 0)
		{
			$flag = false;
		} else 
		{
			$flag = true;
		}
		
		$this->template->assign_vars(array(
			'U_ACTION'			=> $this->u_action,
			'REGISTER'			=> $flag,
			'ACCESS_KEY'		=> $data['access_key'],
			'EMAIL'				=> $data['email'],
		));
	}
}
