<?php
/**
*
* Antivirus Site Protection. An extension for the phpBB Forum Software package.
*
* @copyright (c) 2017 Siteguarding Ltd <https://www.siteguarding.com>
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

namespace siteguarding\antivirus\core;

class dir_helper
{
	protected $extension_manager;
	
	protected $path_helper;
	
	public function __construct(\phpbb\extension\manager $phpbb_extension_manager, \phpbb\path_helper $path_helper)
	{
		$this->path_helper			= $path_helper;
		$this->extension_manager	= $phpbb_extension_manager;
	}
	
	public function get_img_path()
	{
		$ext_path = $this->extension_manager->get_extension_path('siteguarding/antivirus', false);
		
		return $this->get_web_root_path() . $ext_path . "images/";
	}
	
	public function get_web_root_path()
	{
		return $this->path_helper->get_web_root_path();
	}
	
	public function get_root_path()
	{
		$dir = __DIR__;
		$root_path = substr($dir, 0,stripos($dir,'ext/siteguarding'));
		return $root_path;
	}
}
