<?php
/**
*
* Antivirus Site Protection. An extension for the phpBB Forum Software package.
*
* @copyright (c) 2017 Siteguarding Ltd <https://www.siteguarding.com>
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/
 
namespace siteguarding\antivirus\core;

class helper
{
	protected $sql_helper;

	public $siteguarding_server = 'http://www.siteguarding.com/ext/antivirus/index.php';

	public $siteguarding_server_https = 'https://www.siteguarding.com/ext/antivirus/index.php';
	
	public function __construct(\siteguarding\antivirus\core\sql_helper $sql_helper)
	{
		$this->sql_helper = $sql_helper;
	}
	
	public function get_remote_file_contents($url, $parse = false)
	{
		if (extension_loaded('curl')) 
		{
			$ch = curl_init();
			
			curl_setopt($ch, CURLOPT_URL, $url );
			curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)");
			curl_setopt($ch, CURLOPT_TIMEOUT, 3600);
			curl_setopt($ch, CURLOPT_TIMEOUT_MS, 3600000);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);
			curl_setopt($ch, CURLOPT_CONNECTTIMEOUT_MS, 10000);
			curl_setopt($ch, CURLOPT_BINARYTRANSFER, 1);
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
			
			$output = trim(curl_exec($ch));
			curl_close($ch);
			
			if ($output === false)
			{
				return false;
				
			} elseif(trim($output) == '')
			{
				 return '';
			}
			
			if ($parse === true)
			{
				$output = (array)json_decode($output, true);
			} 
			return $output;
		}
		else
		{
			return false;
		}
	}
	
	public function send_registration($domain,$email)
	{
		
		$link = $this->siteguarding_server . '?action=register&type=json&data=';
		
		$access_key = md5(time() . $domain);
		
		$data = array(
			'domain' 		=> $domain,
			'email' 		=> $email,
			'access_key' 	=> $access_key,
			'cms'			=> 'phpbb'
		);
		
		$link .= base64_encode(json_encode($data));
		
		$msg = $this->get_remote_file_contents($link);
			
		if($msg === '')
		{
			$data = array('registered' => 1, 'access_key' => $access_key, 'email' => $email,'domain' => $domain);
			
			$this->sql_helper->set_extra_params($data);
			
			return 'registered';
		} 
		elseif (stripos($msg,'is not exist') !== false)
		{
			return 'not_found';
		} 
		elseif(stripos($msg,'is already registered') !== false) 
		{
			return 'already_registered';
		} else 
		{
			return 'curl_error';
		}

	}
	
	public function get_license_info()
	{
		$cache_license_info = $this->sql_helper->get_extra_params(array('cache_license_info','cache_license_info_time'));
		
		if (isset($cache_license_info['cache_license_info']) && isset($cache_license_info['cache_license_info_time']))
		{
			if (time() - intval($cache_license_info['cache_license_info_time']) < 60 * 60)
			{
				$cache_license_info = (array)json_decode($cache_license_info['cache_license_info'], true);
				if(json_last_error() == JSON_ERROR_NONE)
				{
					return $cache_license_info;
				}
			}
		}
		
		$link = $this->siteguarding_server . '?action=licenseinfo&type=json&data=';
		
		$link_https = $this->siteguarding_server_https . '?action=licenseinfo&type=json&data=';
		
		$website_info = $this->sql_helper->get_extra_params(array('domain','access_key'));
		
		$data = array(
			'domain' 		=> $website_info['domain'],
			'access_key' 	=> $website_info['access_key'],
			'product_type' 	=> 'any'
		);
		
		$link .= base64_encode(json_encode($data));
		
		$link_https .= base64_encode(json_encode($data));
		
		$response = $this->get_remote_file_contents($link);
		$response = trim($response);
		

		
		if ($response == '')
		{
			$response = $this->get_remote_file_contents($link_https);
		}
		
		if ($response == '') 
		{
			return false;
		}
		
		$cache_license_info = (array)json_decode($response, true);
		
		$data = array(
            'cache_license_info' => json_encode($cache_license_info),
            'cache_license_info_time' => time()
        );
		
		$this->sql_helper->set_extra_params($data);
		
		return $cache_license_info;
	}
	
}
