<?php
/**
*
* Antivirus Site Protection. An extension for the phpBB Forum Software package.
*
* @copyright (c) 2017 Siteguarding Ltd <https://www.siteguarding.com>
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

namespace siteguarding\antivirus\core;

class sql_helper
{
	protected $db;
	
	public function __construct(\phpbb\db\driver\driver_interface $db)
	{
		global $table_prefix;
		
		$this->table_prefix = $table_prefix;
		
		$this->db = $db;
	}
	
	public function check_sg_table()
	{
		$table_name = $this->table_prefix . 'sg_antivirus';
		
		$result = $this->db->sql_query("SHOW TABLES LIKE '" . $table_name . "'");
		
		$row = $this->db->sql_fetchrow($result);
		
		$this->db->sql_freeresult($result);
		
		if( ((int)$row ) != true)
		{
			return false;
		} else
		{
			return true;
		}
	}
	
	public function get_extra_params($var_name_arr)
	{
		$table_name = $this->table_prefix . 'sg_antivirus';
		
		if(count($var_name_arr) == 0 || !$this->check_sg_table())
		{
			return false;
		}
		
		$sql = 'SELECT *
			FROM ' . $table_name . '
			WHERE ' . $this->db->sql_in_set('var_name',$var_name_arr,false,true);
			
		$result = $this->db->sql_query($sql);
		
		$data = array();
		
		while($row = $this->db->sql_fetchrow($result))
		{
			$data[trim($row['var_name'])] = trim($row['var_value']);
		}
		
		$this->db->sql_freeresult($result);
		
		return $data;
	}
	
	public function set_extra_params($var_name_arr = array())
	{
		$table_name = $this->table_prefix . 'sg_antivirus';
		
		if(count($var_name_arr) == 0 || !$this->check_sg_table())
		{
			return false;
		}
		
		foreach ($var_name_arr as $k => $v)
		{
			$sql = "SELECT COUNT(*) AS fields_count
			FROM " . $table_name . "
			WHERE var_name = '" . $this->db->sql_escape($k) . "'"; 
			
			$result = $this->db->sql_query($sql);
			
			$tmp = (int) $this->db->sql_fetchfield('fields_count');
			
			$this->db->sql_freeresult($result);
			
			if($tmp == 0)
			{
				$sql_arr = array(
					'var_name'  	=> $k,
					'var_value'  	=> $v,
				);
				
				$sql = 'INSERT INTO ' . $table_name . ' ' . $this->db->sql_build_array('INSERT', $sql_arr);
				
				$this->db->sql_query($sql);
			} else 
			{
				$sql_arr = array(
					'var_name'    => $k,
					'var_value'    => $v,
				);
				
				$sql = "UPDATE " . $table_name . " SET " . $this->db->sql_build_array('UPDATE', $sql_arr) . " WHERE var_name = '" . $this->db->sql_escape($k) . "'";
				
				$this->db->sql_query($sql);
			}
		}	
	}
}
