<?php
/**
 *
 * Antivirus Site Protection. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Siteguarding Ltd <https://www.siteguarding.com>
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

$lang = array_merge($lang, array(
    'ACP_ANTIVIRUS_TITLE'			            => 'Antivirus',
	'ACP_SCAN'									=> 'Scan',
    'ACP_ANTIVIRUS_SETTINGS'					=> 'Settings',
	'ACP_ANTIVIRUS_REGISTRATION'				=> 'Registration',
	'ACP_HEADER'								=> 'phpBB Antivirus Site Protection',
	'ACP_SETTINGS_HEADER'						=> 'phpBB Antivirus Settings',
	'ACP_CONFIRM_REGISTER_TEXT'					=> 'Click "Confirm Registration" button to complete registration process. Your website will be automatically registered on <a href="http://www.siteguarding.com" target="_blank">www.SiteGuarding.com</a>.',
	'ACP_ALREADY_REGISTERED'					=> 'Already registered? Go to <a href="%s">Antivirus Settings</a> page and enter your Access Key.',
	'ACP_DOMAIN'								=> 'Domain',
	'ACP_EMAIL'									=> 'Email',
	'ACP_EMAIL_VALID_TEXT'						=> 'Email address must be valid. You will get your registration access key and reports by email.',
	'ACP_CONFIRM'								=> 'Confirmation',
	'ACP_CONFIRMATION_TEXT'						=> 'I confirm to register my website on <a href="http://www.siteguarding.com" target="_blank">www.SiteGuarding.com</a>',
	'ACP_MORE_INFORMATION'						=> 'For more information and details about Antivirus Site Protection please <a target="_blank" href="https://www.siteguarding.com/en/website-antivirus">click here</a>.',
	'ACP_CONTACT_LIVECHAT'						=> 'For any questions and support please use LiveChat or this <a href="https://www.siteguarding.com/en/contacts" rel="nofollow" target="_blank" title="SiteGuarding.com - Website Security. Professional security services against hacker activity. Daily website file scanning and file changes monitoring. Malware detecting and removal.">contact form</a>.',
	'ACP_ABOUTUS_TEXT'							=> '<a href="https://www.siteguarding.com/" target="_blank">SiteGuarding.com</a> - Website Security. Professional security services against hacker activity.<br />',
	'ACP_NOT_CONFIRMED'							=> 'Confirmation is not checked.',
	'ACP_INVALID_EMAIL'							=> 'Email is not valid.',
	'ACP_DOMAIN_NOT_FOUND'						=> 'Domain %s is not exist or couldnt be resolved. Registration is available only for real domain. Please contact our support by email support@siteguarding.com',
	'ACP_DOMAIN_ALREADY_REGISTERED'				=> 'Domain %s is already registered. Double registration is not permitted. The copy of your Access Key has been sent to %s. If you have any difficulties with activation your Access Key, please contact SiteGuarding.com support. <a href="https://www.siteguarding.com/en/contacts" target="_blank"> Contact </a>',
	'ACP_CURL_ERROR'							=> 'Unfortunately, but your website cant communicate with siteguarding server or CURL extension is not enabled.If you have any difficulties with registration the website, please contact SiteGuarding.com support. <a href="https://www.siteguarding.com/en/contacts" target="_blank"> Contact </a>',
	'ACP_DOMAIN_REGISTERED'						=> 'Thank you for registration! Please go to Antivirus tab.',
	'ACP_REMOVE_ADS'							=> 'Remove these ads?',
	'ACP_UPGRADE_TO_PRO'						=> 'Upgrade to PRO version.',
	'ACP_STATUS_TAB'							=> 'Status',
	'ACP_ANTIVIRUS_TAB'							=> 'Antivirus Scanner',
	'ACP_REPORTS_TAB'							=> 'Reports',
	'ACP_HELP_TAB'								=> 'Help',
	'ACP_REFRESH'								=> 'Refresh',
	'ACP_SECURITY_STATUS'						=> 'Security Status for %s',
	'STATUS_VERSION_HEADER_TRIAL'				=> 'You have: Trial version (ver. %s)',
	'STATUS_VERSION_HEADER_PRO'					=> 'You have: Pro version (ver. %s)',
	'STATUS_VERSION_MES_TEXT'					=> 'Available Scans: %s <br>Valid till: %s',
	'STATUS_VERSION_BUT_TEXT_TEXT'				=> 'Upgrade',
	'STATUS_VERSION_HEADER_FREE'				=> 'You have: Free version (ver. %s)',
	'STATUS_VERSION_MES_FREE'					=> 'Available Scans: %s',
	'STATUS_FILES_HEADER_CLEAN'					=> 'Website is clean',
	'STATUS_FILES_MES_CLEAN'					=> 'We didn`t detect any problems and viruses on your website.',
	'STATUS_FILES_BUT_TEXT_NO_SUB'				=> 'Clean Website',
	'STATUS_FILES_HELP_TEXT_HAS_SUB'			=> 'You have subscription with SiteGuarding.com and can request free cleaning. Please send us a ticket to request the cleaning service.',
	'STATUS_FILES_BUT_TEXT_HAS_SUB'				=> 'Send Request',
	'STATUS_FILES_HEADER_MAIN'					=> 'Website is infected',
	'STATUS_FILES_MES_MAIN'						=> 'We have detected virus / unsafe files on your website.',
	'STATUS_FILES_HEADER_HEURISTIC'				=> 'Website has unsafe/infected files',
	'STATUS_FILES_HEADER_NOT_ANALYZED'			=> 'Website never analyzed before',
	'STATUS_FILES_MES_NOT_ANALYZED'				=> 'Please go to Antivirus section and scan your website.',
	'STATUS_FILES_BUT_TEXT_NOT_ANALYZED'		=> 'Scan Website',
	'STATUS_BLACKLIST_HEADER'					=> 'Google blacklist status',
	'STATUS_BLACKLIST_MES_BLCKL'				=> 'Website is blacklisted. Reason %s',
	'STATUS_BLACKLIST_MES_NOT_BLCKL'			=> 'Your website is not blacklisted in Google.',
	'STATUS_BLACKLIST_BUT_TEXT_BLCKL'			=> 'Clean Website',
	'STATUS_MONITOR_HEADER'						=> 'Files Change Monitoring',
	'STATUS_MONITOR_MES_NO_SUB'				=> 'You don`t have subscription for this service. Learn more how it works.',
	'STATUS_MONITOR_MES_HAS_SUB'				=> 'Your subscription is %s [ %s ]',
	'STATUS_MONITOR_BUT_TEXT_NO_SUB'			=> 'Subsribe',
	'STATUS_MONITOR_HELP_TEXT_NO_SUB'			=> '<p>One of the services provided by us is the day-to-day scanning and checking Your website for malware installation and changes in the files.</p><p>If hacker upload any file, remove or inject malware codes into the website\'s files. We will easy detect it and fix the issue.</p>',
	'STATUS_MONITOR_HELP_TEXT_HAS_SUB'			=> '<p>One of the services provided by us is the day-to-day scanning and checking Your website for malware installation and changes in the files.</p><p>If hacker upload any file, remove or inject malware codes into the website\'s files. We will easy detect it and fix the issue.</p>',
	'STATUS_FIREWALL_HEADER_NO'					=> 'Website Firewall',
	'STATUS_FIREWALL_MES_NO'					=> 'Firewall is not installed. We don\'t filter the traffic of your website.',
	'STATUS_FIREWALL_HELP_TEXT_NO'				=> 'A website firewall is an appliance, standalone plugin that applies a set of rules to an HTTP conversation. Generally, these rules cover common attacks such as cross-site scripting (XSS), backdoor requests and SQL injection. By customizing the rules to your application, many attacks can be identified and blocked.',
	'STATUS_FIREWALL_MES_YES'					=> 'Firewall is installed',
	'STATUS_FIREWALL_HELP_TEXT_YES'				=> 'A website firewall is an appliance, standalone plugin that applies a set of rules to an HTTP conversation. Generally, these rules cover common attacks such as cross-site scripting (XSS), backdoor requests and SQL injection. By customizing the rules to your application, many attacks can be identified and blocked.',
	'STATUS_BACKUP_HEADER_NO'					=> 'Website Backup service',
	'STATUS_BACKUP_MES_NO'						=> 'You don`t have subscription for this service. Learn more how it works.',
	'STATUS_BACKUP_HELP_TEXT_NO'				=> '<p>It is extremely important to have your website backed up regularly. The website backup means that you can have a similar copy of your content and data with you. You can keep it safe. Whatever happens to your website, the data will be available to you, and you can use it later.</p>',
	'STATUS_BACKUP_MES_YES'						=> 'Your subscription is %s [ %s ]',
	'OTHER_SEC_TESTS'							=> 'Other important security tests and options',
	'STATUS_TIMESTAMP'							=> 'Status Timestamp: ',
	'SCAN_START_SCAN_HEADER'					=> 'To start the scan process click "Start Scanner" button.',
	'SCAN_DESC'									=> 'Scanner will automatically collect and analyze the files of your website. The scanning process can take up to 10 mins (it depends of speed of your server and amount of the files to analyze). The copy of the report we will send by email for your records.',
	'SCAN_START_SCANNER'						=> 'Start Scanner',
	'SCAN_DESC_TWO'								=> 'Scanner will check all the files for this website and all the folders.',
	'REPORTS_HEADER'							=> 'Latest File Reports',
	'REPORTS_NO_SCAN'							=> 'You don`t have any available report yet. Please scan your website.',
	'REPORTS_LINK_TO_FULL_REPORT'				=> 'Click to view report for ',
	'REPORTS_DATE'								=> 'Date: ',
	'REPORTS_HEADER_TWO'						=> 'Latest File Scan Results',
	'REPORTS_INFO_HEADER_NO'					=> 'Version Limits',
	'REPORTS_INFO_MES_NO'						=> 'Quarantine & Malware Removal feature is disabled. Available in PRO version only.',
	'REPORTS_INFO_NO_FILES'						=> 'No files for review.',
	'REPORTS_INFO_ACTIONS_REQ'					=> 'Action is required',
	'REPORTS_INFO_WHITELIST_ENB'				=> 'White list is enabled',
	'REPORTS_INFO_REV_REQ'						=> 'Review is required',
	'REPORTS_INFO_DESC'							=> '* Please note: Hackers can inject malware codes inside of the normal files. If you delete these files, website can stop to work or will be not stable. We advice to send request to SiteGuarding.com for file review and analyze.',
	'HELP_HEADER'								=> 'Support',
	'HELP_FOR_ANY_QUES'							=> 'For any questions and support please use LiveChat or this',
	'HELP_CONT_FORM'							=> 'contact form',
	'HELP_ANY_QUE_TITLE'						=> 'SiteGuarding.com - Website Security. Professional security services against hacker activity. Daily website file scanning and file changes monitoring. Malware detecting and removal.',
	'HELP_CONT_LC'								=> 'or contact us in Live Chat',
	'HELP_CLICK_HERE'							=> 'click here',
	'HELP_FOR_MORE_INFO'						=> 'For more information and details about Antivirus Site Protection please',
	'HELP_VID_HEAD'								=> 'Do you need clean and protected website? Please learn how it works.',
	'HELP_VID_PACKAGES'							=> '<a href="https://www.siteguarding.com/en/protect-your-website" target="_blank">Our security packages</a> cover all your needs. Focus on your business and leave security to us.',
	'HELP_PROT_BUT'								=> 'Protect My Website',
	'HELP_ANT_DESC'								=> 'Website Security. Professional security services against hacker activity.',
	'HELP_FOR_MAL_REM'							=> 'For malware removal services please',
	'SCANNING_TOO_LONG'							=> 'If the scanning process takes too long. Get the results using the link',
	'EMPTY_DOMAIN'								=> 'Domain is empty. Please contact SiteGuarding.com support.',
	'EMPTY_SESS_KEY'							=> 'Session key is empty. Please contact SiteGuarding.com support.',
	'ANOTHER_SCANNING_PROCESS'					=> 'Another Scanning Process in the memory.',
	'EMPTY_SCAN_PATH'							=> 'Scan Path is empty. Please contact SiteGuarding.com support.',
	'EMPTY_PACK_FILE'							=> 'Error: Pack file is not exist. Probably not enough space on the server. Contact SiteGuarding.com support.',
	'CANT_UPLOAD'								=> 'Can not upload pack file for analyze. Contact SiteGuarding.com support.',
	'BIG_PACK_FILE'								=> 'Pack file is too big. Please contact SiteGuarding.com support or upgrade to PRO version.',
	'COULDNT_OPEN_ZIP'							=> 'Error: Couldnt open ZIP archive. Contact SiteGuarding.com support.',
	'SCANNING_HELP_BLOCK'						=> '<a href="http://www.siteguarding.com" target="_blank">SiteGuarding.com</a> - Website Security. Professional security services against hacker activity.',
	'CANT_GET_REPORT'							=> 'Report can not be generated. Please try again or contact support',
	'SETTINGS_NOT_REGIS'						=> 'Your website is not yet registered.',
	'ACCESS_KEY'								=> 'ACCESS KEY',
	'ACP_WRONG_KEY'								=> 'Access key is wrong. Please contact SiteGuarding.com to get correct access key.',
));