<?php
/**
*
* Antivirus Site Protection. An extension for the phpBB Forum Software package.
*
* @copyright (c) 2017 Siteguarding Ltd <https://www.siteguarding.com>
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

namespace siteguarding\antivirus\migrations;

class release_1_0_0 extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return array('phpbb\db\migration\data\v310\dev');
	}
	
	public function effectively_installed()
	{
		return isset($this->config['sg_antivirus_installed']);
	}
	
	public function update_schema()
	{
		return array(
			'add_tables' => array(
				$this->table_prefix . 'sg_antivirus' => array(
					'COLUMNS' => array(
						'id'            => array('USINT', null, 'auto_increment'),
						'var_name'      => array('VCHAR', ''),
						'var_value'     => array('MTEXT', ''),
					),
					'PRIMARY_KEY'	=> array('id'),
				),
			),
		);
	}
	
	public function revert_schema()
	{
		return array(
			'drop_tables'	=> array(
				$this->table_prefix . 'sg_antivirus',
			),
		);
	}
	
	public function update_data()
	{
		return array(
			array('config.add', array('sg_antivirus_installed', 1)),
			array('module.add', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_ANTIVIRUS_TITLE',
			)),
			array('module.add', array(
				'acp',
				'ACP_ANTIVIRUS_TITLE',
				array(
					'module_basename'	=> '\siteguarding\antivirus\acp\antivirus_module',
					'modes'				=> array('antivirus', 'settings'),
				),
			)),
		);
	}
}
